## jenkins 1.0

=== DESCRIPTION ===
Package: jenkins
Type: Package
Title: Simple Jenkins Client
Version: 1.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Manage jobs and builds on your Jenkins CI server <https://jenkins.io/>. 
    Create and edit projects, schedule builds, manage the queue, download build logs,
    and much more.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/jenkins/ (website),
        https://github.com/ropensci/jenkins
BugReports: https://github.com/ropensci/jenkins/issues
Encoding: UTF-8
Imports: curl, jsonlite
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-06-04 12:09:33 UTC; jeroen
Repository: CRAN
Date/Publication: 2019-06-04 15:00:03 UTC

## jenkins 1.409.1

=== debian/changelog ===
jenkins (1.409.1-0ubuntu4) oneiric; urgency=low

  * Resolve conflict between winstone and libservlet2.5-java (LP: #862272):
    - debian/jenkins.upstart: Use java.net.URLClassLoader instead of
      standard WebAppClassloader to ensure the winstone classes are used.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Oct 2011 08:53:33 +0100

jenkins (1.409.1-0ubuntu3) oneiric; urgency=low

  * Fix FTBFS with asm3 >= 3.3 (LP: #851659):
    - d/maven.rules: Use asm-all instead of asm to align to restructure
      of jar files.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Sep 2011 09:32:28 +0100

jenkins (1.409.1-0ubuntu2) oneiric; urgency=low

  * Resolved issue with specific group being set in upstart
    configuration (LP: #820938).
  * Rebuild to pickup new versions of jenkins-xstream to enable ARM
    compatibility (LP: #827463).
  * Rebuild to pickup new versions of jcaptcha and jenkins-winstone to
    resolve compatibiltiy issues with libservlet2.5-java (LP: #827651).
  * Fix FTBFS due to missing fonts causing test failure in Jenkins core:
     - debian/control: added ttf-dejavu-core to Build-Depends-Indep.
  * Fix FTBFS due to change in location of jtidy maven artifact:
     - debian/maven.rules: switch jtidy -> net.sf.jtidy to pickup new
       location.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Sep 2011 16:53:57 +0100

jenkins (1.409.1-0ubuntu1) oneiric; urgency=low

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Jul 2011 11:11:18 +0100

=== debian/control ===
Source: jenkins
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 default-jdk (>= 1:1.6),
 javahelper,
 maven-debian-helper,
 unzip
Build-Depends-Indep:
 ant,
 ant-optional,
 glassfish-activation,
 glassfish-mail,
 groovy,
 jenkins-crypto-util,
 jenkins-executable-war,
 jenkins-memory-monitor,
 jenkins-task-reactor,
 jenkins-test-annotations,
 junit (>= 3.8.2),
 junit4,
 libaccess-modifier-checker-java,
 libacegi-security-java,
 libakuma-java,
 libannotation-indexer-java,
 libantlr-java,
 libantlr-maven-plugin-java,
 libaopalliance-java,
 libargs4j-java,
 libasm3-java,
 libbridge-method-injector-java,
 libclassworlds-java,
 libcommons-beanutils-java,
 libcommons-codec-java,
 libcommons-collections3-java,
 libcommons-digester-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libjaxen-java,
 libjcaptcha-java,
 libjellydoc-java,
 libjenkins-commons-jelly-java,
 libjenkins-commons-jexl-java,
 libjenkins-trilead-ssh2-java,
 libjenkins-winstone-java,
 libjenkins-xstream-java,
 libjetty-java,
 libjffi-java,
 libjfreechart-java,
 libjmdns-java,
 libjna-java,
 libjnr-posix-java,
 libjson-java,
 libjstl1.1-java,
 liblocalizer-java,
 libmaven-antrun-extended-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-embedder-java,
 libmaven-enforcer-plugin-java,
 libmaven-hpi-plugin-java,
 libmaven-install-plugin-java,
 libmaven-javadoc-plugin-java,
 libmaven-stapler-plugin-java,
 libmaven-war-plugin-java,
 libmaven2-core-java,
 libmetainf-services-java,
 libpam4j-java,
 librobust-http-client-java,
 libservlet2.4-java,
 libsezpoz-java,
 libspring-aop-2.5-java,
 libspring-core-2.5-java,
 libspring-ldap-java,
 libspring-web-2.5-java,
 libspring-webmvc-2.5-java,
 libstapler-adjunct-timeline-java,
 libstapler-java,
 libtrilead-putty-extension-java,
 libtxw2-java,
 libxpp3-java,
 ttf-dejavu-core
Standards-Version: 3.9.2
Homepage: http://jenkins-ci.org/

Package: libjenkins-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Description: Jenkins CI core Java libraries
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package contains the core libraries that are used by Jenkins.
 These are useful when building other components such as plugins.

Package: libjenkins-plugin-parent-java
Architecture: all
Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
Description: Jenkins Plugin Parent Maven POM
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package contains the parent POM file that all Jenkins plugins should be 
 built against.

Package: jenkins-common
Architecture: all
Depends: libjffi-java, libjna-java, libjnr-posix-java, ${misc:Depends}
Recommends: jenkins-cli
Description: Jenkins common Java components and web application
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package contains the main Jenkin Web Application and supporting
 Java libraries.

Package: jenkins
Architecture: all
Depends:
 adduser,
 daemon,
 default-jre-headless | java6-runtime-headless,
 jenkins-common,
 ${misc:Depends}
Conflicts: jenkins-tomcat, tomcat6
Suggests: jenkins-ssh-slaves-plugin
Description: Continuous Integration and Job Scheduling Server
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses 
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl 
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use 
    so-called continuous integration system, making it easier for developers 
    to integrate changes to the project, and making it easier for users to 
    obtain a fresh build. The automated, continuous build increases 
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and 
    procmail jobs, even those that are run on a remote machine. For example, 
    with cron, all you receive is regular e-mails that capture the output, 
    and it is up to you to look at them diligently and notice when it broke. 
    Jenkins keeps those outputs and makes it easy for you to notice when 
    something is wrong. 
 .
 This package supports using Jenkins in standalone mode utilising the
 embedded winstone servlet container.

Package: jenkins-slave
Architecture: all
Depends:
 adduser,
 daemon,
 default-jre-headless | java6-runtime-headless,
 ${misc:Depends}
Recommends: jenkins-cli, ssh-import-id, ssh-server | openssh-server
Description: Jenkins slave node helper
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package provides a metapackage to install the dependencies required 
 to support running jenkins slave nodes.
 .
 It also includes an upstart configuration and helper script to start a 
 Jenkins Slave locally (where direct network access to the slave might not 
 be possible).

Package: jenkins-external-job-monitor
Architecture: all
Depends:
 ant,
 default-jre-headless | java6-runtime-headless,
 libcommons-io-java,
 libcommons-lang-java,
 libjenkins-xstream-java,
 libjffi-java,
 libjnr-posix-java,
 ${misc:Depends}
Description: Jenkins CI external job monitoring
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package provides the Java dependencies and a helper script for 
 running external jobs which are monitored by Jenkins.

Package: jenkins-cli
Architecture: all
Depends:
 default-jre-headless | java6-runtime-headless,
 libjffi-java,
 libjnr-posix-java,
 ${misc:Depends}
Description: Jenkins CI Command Line Interface
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers
    to integrate changes to the project, and making it easier for users to
    obtain a fresh build. The automated, continuous build increases
    productivity.
  * Monitoring executions of externally-run jobs, such as cron jobs and
    procmail jobs, even those that are run on a remote machine. For example,
    with cron, all you receive is regular e-mails that capture the output,
    and it is up to you to look at them diligently and notice when it broke.
    Jenkins keeps those outputs and makes it easy for you to notice when
    something is wrong.
 .
 This package provies the Jenkins Command Line Interface that supports a 
 wide range of remote interaction with a Jenkins instance.

Package: jenkins-tomcat
Architecture: all
Depends: jenkins-common, tomcat6, ${misc:Depends}
Conflicts: jenkins
Provides: jenkins
Suggests: jenkins-ssh-slaves-plugin
Description: Jenkins CI on Tomcat 6
 Jenkins monitors executions of repeated jobs, such as building a software
 project or jobs run by cron. Among those things, current Jenkins focuses
 on the following two jobs:
 .
  * Building/testing software projects continuously, just like CruiseControl
    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
    so-called continuous integration system, making it easier for developers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_MAVEN_BUILD_TARGET := install 
DEB_MAVEN_ARGS := -e -Dbuild.version="$(DEB_UPSTREAM_VERSION)"
DEB_MAVEN_INSTALL_TO_USJ := false

# Install the POM for plugin-parent manually as not part
# of main build
binary-post-install/libjenkins-plugin-parent-java::
	mh_installpoms -plibjenkins-plugin-parent-java

# Sort out MANIFEST.MF entries in jenkins cli .jar files
# and create handy links for script wrapper
binary-post-install/jenkins-cli::
	dh_link -pjenkins-cli usr/share/jenkins/cli/java/cli-$(DEB_UPSTREAM_VERSION)-jar-with-dependencies.jar \
		usr/share/jenkins/cli/java/cli.jar
	jh_classpath -pjenkins-cli
	jh_manifest -pjenkins-cli

# Create handy links for script wrapper
binary-post-install/jenkins-external-job-monitor::
	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/remoting-$(DEB_UPSTREAM_VERSION).jar \
        usr/share/jenkins/external-job-monitor/java/remoting.jar
	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

## jenkins 1.409.3+dfsg

=== debian/changelog ===
jenkins (1.409.3+dfsg-2) unstable; urgency=low

  [ James Page ]
  * http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-01-10.cb
    - Rebuild to pickup new versions of jenkins-winstone (>= 0.9.10-jenkins-31)
      and jenkins-executable-war (>= 1.25) to fix Hash DoS vulnerability in
      jenkins when running standalone.

  [ Damien Raude-Morvan ]
  * Add DM-Upload-Allowed flag for James Page.

 -- James Page <james.page@ubuntu.com>  Sat, 14 Jan 2012 18:41:37 +0100

jenkins (1.409.3+dfsg-1) unstable; urgency=low

  * Initial Debian release (Closes: #561963):
    - Repack for DFSG compliance.
  * Disabled build of libjenkins-plugin-parent-java as not currently
    installable due to broken upstream maven-hpi-plugin.
  * Added Debian init scripts and default configuration for jenkins 
    and jenkins-slave packages and updated rules to switch in upstart 
    configuration for Ubuntu builds.
  * d/bin/dowload-slave.sh: Updated to use parameter rather than 
    environment variable when locating Jenkins master server.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Dec 2011 12:04:59 +0000

jenkins (1.409.3-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Refreshed patches.
    - d/maven.rules: Updated jenkins version to 1.409.3.
  * Pickup new version of jenkins-winstone resolving XSS security 
    vulnerability (LP: #889181).
  * d/patches/build/apt-stapler-processing.patch: Temporary patch to fix
    build when using later versions of stapler which use standard  
    Java annotation processing.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Nov 2011 08:31:53 +0000

jenkins (1.409.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - d/control: Added new BDI's - libjtidy-java, libjenkins-htmlunit-java
    - Refreshed patches.
    - d/maven.rules: Updated jenkins version to 1.409.2.
  * Updated upstart configuration to start on runlevel [2345].
  * Revised patches to filter on compile/test surplus native integrations 
    rather than patchout complete files.
  * Re-organised patches by type.
  * Fixed issue with projects with spaces in names with jenkins-monitor-job
    (LP: #880786).

 -- James Page <james.page@ubuntu.com>  Sat, 22 Oct 2011 11:57:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jenkins
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -16,7 +17,7 @@
  glassfish-mail,
  groovy,
  jenkins-crypto-util,
- jenkins-executable-war,
+ jenkins-executable-war (>= 1.25),
  jenkins-memory-monitor,
  jenkins-task-reactor,
  jenkins-test-annotations,
@@ -46,8 +47,10 @@
  libjellydoc-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java,
+ libjenkins-htmlunit-java,
+ libjenkins-json-java (>= 2.1-rev7),
  libjenkins-trilead-ssh2-java,
- libjenkins-winstone-java,
+ libjenkins-winstone-java (>= 0.9.10-jenkins-31),
  libjenkins-xstream-java,
  libjetty-java,
  libjffi-java,
@@ -57,13 +60,13 @@
  libjnr-posix-java,
  libjson-java,
  libjstl1.1-java,
+ libjtidy-java,
  liblocalizer-java,
  libmaven-antrun-extended-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-dependency-plugin-java,
  libmaven-embedder-java,
  libmaven-enforcer-plugin-java,
- libmaven-hpi-plugin-java,
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
@@ -87,6 +90,9 @@
  ttf-dejavu-core
 Standards-Version: 3.9.2
 Homepage: http://jenkins-ci.org/
+Vcs-Git: git://git.debian.org/git/pkg-java/jenkins.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins.git
+DM-Upload-Allowed: yes
 
 Package: libjenkins-java
 Architecture: all
@@ -113,29 +119,29 @@
  This package contains the core libraries that are used by Jenkins.
  These are useful when building other components such as plugins.
 
-Package: libjenkins-plugin-parent-java
-Architecture: all
-Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
-Description: Jenkins Plugin Parent Maven POM
- Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses
- on the following two jobs:
- .
-  * Building/testing software projects continuously, just like CruiseControl
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-    so-called continuous integration system, making it easier for developers
-    to integrate changes to the project, and making it easier for users to
-    obtain a fresh build. The automated, continuous build increases
-    productivity.
-  * Monitoring executions of externally-run jobs, such as cron jobs and
-    procmail jobs, even those that are run on a remote machine. For example,
-    with cron, all you receive is regular e-mails that capture the output,
-    and it is up to you to look at them diligently and notice when it broke.
-    Jenkins keeps those outputs and makes it easy for you to notice when
-    something is wrong.
- .
- This package contains the parent POM file that all Jenkins plugins should be 
- built against.
+#Package: libjenkins-plugin-parent-java
+#Architecture: all
+#Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
+#Description: Jenkins Plugin Parent Maven POM
+# Jenkins monitors executions of repeated jobs, such as building a software
+# project or jobs run by cron. Among those things, current Jenkins focuses
+# on the following two jobs:
+# .
+#  * Building/testing software projects continuously, just like CruiseControl
+#    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+#    so-called continuous integration system, making it easier for developers
+#    to integrate changes to the project, and making it easier for users to
+#    obtain a fresh build. The automated, continuous build increases
+#    productivity.
+#  * Monitoring executions of externally-run jobs, such as cron jobs and
+#    procmail jobs, even those that are run on a remote machine. For example,
+#    with cron, all you receive is regular e-mails that capture the output,
+#    and it is up to you to look at them diligently and notice when it broke.
+#    Jenkins keeps those outputs and makes it easy for you to notice when
+#    something is wrong.
+# .
+# This package contains the parent POM file that all Jenkins plugins should be
+# built against.
 
 Package: jenkins-common
 Architecture: all
@@ -166,29 +172,28 @@
 Architecture: all
 Depends:
  adduser,
- daemon,
+ ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  jenkins-common,
  ${misc:Depends}
 Conflicts: jenkins-tomcat, tomcat6
-Suggests: jenkins-ssh-slaves-plugin
 Description: Continuous Integration and Job Scheduling Server
  Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses 
- on the following two jobs:
- .
-  * Building/testing software projects continuously, just like CruiseControl 
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use 
-    so-called continuous integration system, making it easier for developers 
-    to integrate changes to the project, and making it easier for users to 
-    obtain a fresh build. The automated, continuous build increases 
-    productivity.
-  * Monitoring executions of externally-run jobs, such as cron jobs and 
-    procmail jobs, even those that are run on a remote machine. For example, 
-    with cron, all you receive is regular e-mails that capture the output, 
-    and it is up to you to look at them diligently and notice when it broke. 
-    Jenkins keeps those outputs and makes it easy for you to notice when 
-    something is wrong. 
+ project or jobs run by cron. Among those things, current Jenkins focuses
+ on the following two jobs:
+ .
+  * Building/testing software projects continuously, just like CruiseControl
+    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+    so-called continuous integration system, making it easier for developers
+    to integrate changes to the project, and making it easier for users to
+    obtain a fresh build. The automated, continuous build increases
+    productivity.
+  * Monitoring executions of externally-run jobs, such as cron jobs and
+    procmail jobs, even those that are run on a remote machine. For example,
+    with cron, all you receive is regular e-mails that capture the output,
+    and it is up to you to look at them diligently and notice when it broke.
+    Jenkins keeps those outputs and makes it easy for you to notice when
+    something is wrong.
  .
  This package supports using Jenkins in standalone mode utilising the
  embedded winstone servlet container.
@@ -197,10 +202,10 @@
 Architecture: all
 Depends:
  adduser,
- daemon,
+ ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  ${misc:Depends}
-Recommends: jenkins-cli, ssh-import-id, ssh-server | openssh-server
+Recommends: jenkins-cli, ssh-server | openssh-server
 Description: Jenkins slave node helper
  Jenkins monitors executions of repeated jobs, such as building a software
  project or jobs run by cron. Among those things, current Jenkins focuses
@@ -219,11 +224,11 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provides a metapackage to install the dependencies required 
+ This package provides a metapackage to install the dependencies required
  to support running jenkins slave nodes.
  .
- It also includes an upstart configuration and helper script to start a 
- Jenkins Slave locally (where direct network access to the slave might not 
+ It also includes an upstart configuration and helper script to start a
+ Jenkins Slave locally (where direct network access to the slave might not
  be possible).
 
 Package: jenkins-external-job-monitor
@@ -255,7 +260,7 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provides the Java dependencies and a helper script for 
+ This package provides the Java dependencies and a helper script for
  running external jobs which are monitored by Jenkins.
 
 Package: jenkins-cli
@@ -283,7 +288,7 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provies the Jenkins Command Line Interface that supports a 
+ This package provies the Jenkins Command Line Interface that supports a
  wide range of remote interaction with a Jenkins instance.
 
 Package: jenkins-tomcat
@@ -291,12 +296,8 @@
 Depends: jenkins-common, tomcat6, ${misc:Depends}
 Conflicts: jenkins
 Provides: jenkins
-Suggests: jenkins-ssh-slaves-plugin
 Description: Jenkins CI on Tomcat 6
  Jenkins monitors executions of repeated jobs, such as building a software
  project or jobs run by cron. Among those things, current Jenkins focuses
  on the following two jobs:
  .
-  * Building/testing software projects continuously, just like CruiseControl
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-    so-called continuous integration system, making it easier for developers

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,17 @@
 include /usr/share/cdbs/1/class/maven.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
+# Parse upstream version without +dfsg for source download+
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 DEB_MAVEN_BUILD_TARGET := install 
 DEB_MAVEN_ARGS := -e -Dbuild.version="$(DEB_UPSTREAM_VERSION)"
 DEB_MAVEN_INSTALL_TO_USJ := false
+
+# Debian package version use daemon to control jenkins processes
+# Ubuntu does not need this - managed by upstart
+ifeq ($(shell dpkg-vendor --derives-from ubuntu || echo debian ),debian)
+DEB_DH_GENCONTROL_ARGS:= -- -Tdebian/debian_control_vars
+endif
 
 # Install the POM for plugin-parent manually as not part
 # of main build
@@ -28,5 +36,31 @@
 	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
 	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar
 
+# Switch in upstart configuration if building on Ubuntu
+# and generate control with/without daemon.
+build/jenkins::
+	if dpkg-vendor --derives-from ubuntu ; then \
+        cp debian/jenkins.upstart.in debian/jenkins.upstart ; \
+    fi
+
+build/jenkins-slave::
+	if dpkg-vendor --derives-from ubuntu ; then \
+        cp debian/jenkins-slave.upstart.in debian/jenkins-slave.upstart ; \
+    fi
+
+# Tidy up any upstart configuration files lying around
+clean::
+	[ ! -f dummy.keystore ] || rm dummy.keystore
+	rm -rf debian/*.upstart
+
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
+	mv ../jenkins_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
+        ../jenkins_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz
+
+before-mvn-build:: dummy.keystore
+
+dummy.keystore:
+	keytool -genkeypair -dname "cn=Jenkins, ou=Jenkins Project, o=Debian, c=US" \
+    	-alias jenkins -keypass jenkins -keystore dummy.keystore \
+      	-storepass jenkins -validity 3650

## jenkins 1.424.2+dfsg

=== debian/changelog ===
jenkins (1.424.2+dfsg-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Replace dependencies on Spring Framework 2.5 libraries with 3.0 ones.
    (Closes: #655906).

  [ James Page ]
  * New upstream release.
    - d/control: Add new dependencies on libjenkins-remoting-java, 
      libstapler-adjunct-codemirror-java and libmaven-hpi-plugin-java.
    - d/control: Dropped libjcaptcha-java; no longer needed.
  * d/control: Switch to using packaged animal-sniffer.
  * Refreshed patches:
    - d/patches/build/{debianize-antrun-war,animal-sniffer-annotation}.patch:
      dropped as no longer required.

 -- James Page <james.page@ubuntu.com>  Tue, 31 Jan 2012 10:33:56 +0000

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  libaccess-modifier-checker-java,
  libacegi-security-java,
  libakuma-java,
+ libanimal-sniffer-java,
  libannotation-indexer-java,
  libantlr-java,
  libantlr-maven-plugin-java,
@@ -43,12 +44,12 @@
  libcommons-lang-java,
  libcommons-logging-java,
  libjaxen-java,
- libjcaptcha-java,
  libjellydoc-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java,
  libjenkins-htmlunit-java,
  libjenkins-json-java (>= 2.1-rev7),
+ libjenkins-remoting-java,
  libjenkins-trilead-ssh2-java,
  libjenkins-winstone-java (>= 0.9.10-jenkins-31),
  libjenkins-xstream-java,
@@ -67,6 +68,7 @@
  libmaven-dependency-plugin-java,
  libmaven-embedder-java,
  libmaven-enforcer-plugin-java,
+ libmaven-hpi-plugin-java,
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
@@ -77,11 +79,11 @@
  librobust-http-client-java,
  libservlet2.4-java,
  libsezpoz-java,
- libspring-aop-2.5-java,
- libspring-core-2.5-java,
+ libspring-aop-java,
+ libspring-core-java,
  libspring-ldap-java,
- libspring-web-2.5-java,
- libspring-webmvc-2.5-java,
+ libspring-web-java,
+ libstapler-adjunct-codemirror-java,
  libstapler-adjunct-timeline-java,
  libstapler-java,
  libtrilead-putty-extension-java,
@@ -145,7 +147,12 @@
 
 Package: jenkins-common
 Architecture: all
-Depends: libjffi-java, libjna-java, libjnr-posix-java, ${misc:Depends}
+Depends: 
+ libjenkins-remoting-java,
+ libjffi-java,
+ libjna-java,
+ libjnr-posix-java,
+ ${misc:Depends}
 Recommends: jenkins-cli
 Description: Jenkins common Java components and web application
  Jenkins monitors executions of repeated jobs, such as building a software
@@ -238,6 +245,7 @@
  default-jre-headless | java6-runtime-headless,
  libcommons-io-java,
  libcommons-lang-java,
+ libjenkins-remoting-java,
  libjenkins-xstream-java,
  libjffi-java,
  libjnr-posix-java,
@@ -298,6 +306,3 @@
 Provides: jenkins
 Description: Jenkins CI on Tomcat 6
  Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses
- on the following two jobs:
- .

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 JAVA_HOME := /usr/lib/jvm/default-java
 # Parse upstream version without +dfsg for source download+
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
-DEB_MAVEN_BUILD_TARGET := install 
+DEB_MAVEN_BUILD_TARGET := install
 DEB_MAVEN_ARGS := -e -Dbuild.version="$(DEB_UPSTREAM_VERSION)"
 DEB_MAVEN_INSTALL_TO_USJ := false
 
@@ -31,8 +31,6 @@
 
 # Create handy links for script wrapper
 binary-post-install/jenkins-external-job-monitor::
-	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/remoting-$(DEB_UPSTREAM_VERSION).jar \
-        usr/share/jenkins/external-job-monitor/java/remoting.jar
 	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
 	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar

## jenkins 1.424.3+dfsg

=== debian/changelog ===
jenkins (1.424.3+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refreshed patches:
    - Dropped disable-avalon-frawework.patch - no longer required.
  * Bumped Standards-Version: 3.9.3; no changes required.
  * Enable use of jenkins-instance-identity and jenkins-ssh-cli-auth to 
    support use of public/private keypairs when using the jenkins remote
    cli tool. 
  * Dropped jcaptcha-slf4j.patch; no longer required as library not used.
  * Updated plugin parent pom file to specifiy default source/target for
    maven-compiler-plugin as Java 1.5.
  * Ensure that jenkins group exists and that its the primary group for
    the jenkins user to help deal with transition from upstream packaging 
    (Closes: #661203).

 -- James Page <james.page@ubuntu.com>  Tue, 28 Feb 2012 16:51:50 +0000

jenkins (1.424.2+dfsg-2) unstable; urgency=low

  * Enable Jenkins plugin components to support building plugins and 
    modules (Closes: #658071):
    - d/control: Enabled libjenkins-plugin-parent-java, updated dependencies.
    - d/plugin-debian.pom.in,rules: Install pom file to act as parent POM for 
      plugin development based on upstream plugin pom file.
    - d/libjenkins-plugin-parent-java.poms: Dropped - no longer required.
    - d/patches/build/plugin.patch: Dropped - no longer required.
  * Switch to using libservlet2.5-java (Closes: #658805)

 -- James Page <james.page@ubuntu.com>  Fri, 10 Feb 2012 14:20:19 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,9 @@
  groovy,
  jenkins-crypto-util,
  jenkins-executable-war (>= 1.25),
+ jenkins-instance-identity,
  jenkins-memory-monitor,
+ jenkins-ssh-cli-auth,
  jenkins-task-reactor,
  jenkins-test-annotations,
  junit (>= 3.8.2),
@@ -45,6 +47,7 @@
  libcommons-logging-java,
  libjaxen-java,
  libjellydoc-java,
+ libjenkins-plugin-parent-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java,
  libjenkins-htmlunit-java,
@@ -77,7 +80,7 @@
  libmetainf-services-java,
  libpam4j-java,
  librobust-http-client-java,
- libservlet2.4-java,
+ libservlet2.5-java,
  libsezpoz-java,
  libspring-aop-java,
  libspring-core-java,
@@ -90,7 +93,7 @@
  libtxw2-java,
  libxpp3-java,
  ttf-dejavu-core
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://jenkins-ci.org/
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins.git
@@ -121,33 +124,41 @@
  This package contains the core libraries that are used by Jenkins.
  These are useful when building other components such as plugins.
 
-#Package: libjenkins-plugin-parent-java
-#Architecture: all
-#Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
-#Description: Jenkins Plugin Parent Maven POM
-# Jenkins monitors executions of repeated jobs, such as building a software
-# project or jobs run by cron. Among those things, current Jenkins focuses
-# on the following two jobs:
-# .
-#  * Building/testing software projects continuously, just like CruiseControl
-#    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-#    so-called continuous integration system, making it easier for developers
-#    to integrate changes to the project, and making it easier for users to
-#    obtain a fresh build. The automated, continuous build increases
-#    productivity.
-#  * Monitoring executions of externally-run jobs, such as cron jobs and
-#    procmail jobs, even those that are run on a remote machine. For example,
-#    with cron, all you receive is regular e-mails that capture the output,
-#    and it is up to you to look at them diligently and notice when it broke.
-#    Jenkins keeps those outputs and makes it easy for you to notice when
-#    something is wrong.
-# .
-# This package contains the parent POM file that all Jenkins plugins should be
-# built against.
+Package: libjenkins-plugin-parent-java
+Architecture: all
+Depends:
+ junit4,
+ libjenkins-java,
+ libmaven-hpi-plugin-java,
+ libmaven-javadoc-plugin-java,
+ libmaven-stapler-plugin-java,
+ libservlet2.5-java,
+ libsurefire-java,
+ ${misc:Depends}
+Description: Jenkins Plugin Parent Maven POM
+ Jenkins monitors executions of repeated jobs, such as building a software
+ project or jobs run by cron. Among those things, current Jenkins focuses
+ on the following two jobs:
+ .
+  * Building/testing software projects continuously, just like CruiseControl
+    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+    so-called continuous integration system, making it easier for developers
+    to integrate changes to the project, and making it easier for users to
+    obtain a fresh build. The automated, continuous build increases
+    productivity.
+  * Monitoring executions of externally-run jobs, such as cron jobs and
+    procmail jobs, even those that are run on a remote machine. For example,
+    with cron, all you receive is regular e-mails that capture the output,
+    and it is up to you to look at them diligently and notice when it broke.
+    Jenkins keeps those outputs and makes it easy for you to notice when
+    something is wrong.
+ .
+ This package contains the parent POM file that all Jenkins plugins and modules
+ should be built against.
 
 Package: jenkins-common
 Architecture: all
-Depends: 
+Depends:
  libjenkins-remoting-java,
  libjffi-java,
  libjna-java,
@@ -179,9 +190,9 @@
 Architecture: all
 Depends:
  adduser,
- ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  jenkins-common,
+ ${jenkins-daemon-deps},
  ${misc:Depends}
 Conflicts: jenkins-tomcat, tomcat6
 Description: Continuous Integration and Job Scheduling Server
@@ -209,8 +220,8 @@
 Architecture: all
 Depends:
  adduser,
+ default-jre-headless | java6-runtime-headless,
  ${jenkins-daemon-deps},
- default-jre-headless | java6-runtime-headless,
  ${misc:Depends}
 Recommends: jenkins-cli, ssh-server | openssh-server
 Description: Jenkins slave node helper
@@ -302,7 +313,3 @@
 Package: jenkins-tomcat
 Architecture: all
 Depends: jenkins-common, tomcat6, ${misc:Depends}
-Conflicts: jenkins
-Provides: jenkins
-Description: Jenkins CI on Tomcat 6
- Jenkins monitors executions of repeated jobs, such as building a software

## jenkins 1.424.6%2bdfsg

=== debian/changelog ===
jenkins (1.424.6+dfsg-1) unstable; urgency=low

  * New upstream release, fixing XSS security vulnerability (Closes: #664057):
    - d/control: Add new dependency on libowasp-java-html-sanitizer-java.
    - d/maven.rules: Add new rule to use artifacts 
      from libowasp-java-html-sanitizer-java.
  * Switch upstart configurations to use start-stop-daemon to allow
    desktop systems to shutdown.
  * d/jenkins-slave.upstart.in: Ensure /var/run/jenkins exists before
    trying to download the jenkins slave.jar file to it.
    Thanks to Al Stone for providing this fix.

 -- James Page <james.page@ubuntu.com>  Tue, 27 Mar 2012 09:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
  libmaven-war-plugin-java,
  libmaven2-core-java,
  libmetainf-services-java,
+ libowasp-java-html-sanitizer-java,
  libpam4j-java,
  librobust-http-client-java,
  libservlet2.5-java,
@@ -312,4 +313,3 @@
 
 Package: jenkins-tomcat
 Architecture: all
-Depends: jenkins-common, tomcat6, ${misc:Depends}

## jenkins 1.424.6+dfsg

=== debian/changelog ===
jenkins (1.424.6+dfsg-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: Remote code execution and XSS vulnerabilities
    in Jenkins core (LP: #1055416):
    - d/p/security/CVE-2012-4438_CVE-2012-4439.patch: Cherry picked
      fixes from 1.466.2 release to resolve remote code execution
      and XSS security vulnerabilities.
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-09-17.cb
    - CVE-2012-4438
    - CVE-2012-4439

 -- James Page <james.page@ubuntu.com>  Tue, 25 Sep 2012 13:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jenkins
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
@@ -309,7 +310,3 @@
     something is wrong.
  .
  This package provies the Jenkins Command Line Interface that supports a
- wide range of remote interaction with a Jenkins instance.
-
-Package: jenkins-tomcat
-Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,16 @@
 DEB_DH_GENCONTROL_ARGS:= -- -Tdebian/debian_control_vars
 endif
 
+# Generate POM file for plugins
+debian/plugin-debian.pom: debian/plugin-debian.pom.in
+	sed -e "s|__VERSION__|$(DEB_UPSTREAM_VERSION)|g" $< > debian/plugin-debian.pom
+
 # Install the POM for plugin-parent manually as not part
-# of main build
-binary-post-install/libjenkins-plugin-parent-java::
-	mh_installpoms -plibjenkins-plugin-parent-java
+# of main build - manually installed as not managed by 
+# m-d-h as breaks build elements for re-use.
+binary-post-install/libjenkins-plugin-parent-java:: debian/plugin-debian.pom
+	dh_install -plibjenkins-plugin-parent-java debian/plugin-debian.pom \
+		usr/share/maven-repo/org/jenkins-ci/plugins/plugin/debian
 
 # Sort out MANIFEST.MF entries in jenkins cli .jar files
 # and create handy links for script wrapper
@@ -50,6 +56,7 @@
 clean::
 	[ ! -f dummy.keystore ] || rm dummy.keystore
 	rm -rf debian/*.upstart
+	rm -rf debian/plugin-debian.pom
 
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
@@ -57,6 +64,12 @@
         ../jenkins_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz
 
 before-mvn-build:: dummy.keystore
+	# Purge out links relating to jenkins from the copy of the maven repo
+	# fixes issue with circular dependency and the need to use the install
+	# maven target
+	for module in jenkins-core cli pom jenkins-war; do \
+		find debian/maven-repo/org/jenkins-ci/main/$${module} -type l -delete || true ;\
+	done
 
 dummy.keystore:
 	keytool -genkeypair -dname "cn=Jenkins, ou=Jenkins Project, o=Debian, c=US" \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://githubredir.debian.net/github/jenkinsci/jenkins/ jenkins-(\d+).(\d+).(\d+).tar.gz debian debian/orig-tar.sh
